org.apache.calcite.avatica

## Class AvaticaJdbc41Factory.AvaticaJdbc41Connection

- java.lang.Object
- - org.apache.calcite.avatica.AvaticaConnection
  - - org.apache.calcite.avatica.AvaticaJdbc41Factory.AvaticaJdbc41Connection

All Implemented Interfaces:
  AutoCloseable, Connection, Wrapper

Enclosing class:
  AvaticaJdbc41Factory

    private static class AvaticaJdbc41Factory.AvaticaJdbc41Connection
    extends AvaticaConnection

Implementation of Connection for JDBC 4.1.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.calcite.avatica.AvaticaConnection

`AvaticaConnection.CallableWithoutException<T>, AvaticaConnection.Trojan`

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.AvaticaConnection

`driver, factory, flagMap, handle, helper, id, info, maxRetriesPerExecute, meta, metaData, NUM_EXECUTE_RETRIES_DEFAULT, NUM_EXECUTE_RETRIES_KEY, PLAN_COLUMN_NAME, properties, ROWCOUNT_COLUMN_NAME, statementCount, statementMap, url`

### Fields inherited from interface java.sql.Connection

`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

### Constructor Summary

Constructors
Constructor and Description
`AvaticaJdbc41Factory.AvaticaJdbc41Connection(UnregisteredDriver driver, AvaticaFactory factory, String url, Properties info)`

### Method Summary

### Methods inherited from class org.apache.calcite.avatica.AvaticaConnection

`abort, clearWarnings, close, commit, config, createArrayOf, createBlob, createClob, createNClob, createResultSet, createSQLXML, createStatement, createStatement, createStatement, createStruct, createTrojan, executeBatchUpdateInternal, executeQueryInternal, getAutoCommit, getCancelFlag, getCatalog, getClientInfo, getClientInfo, getHoldability, getKerberosConnection, getMetaData, getNetworkTimeout, getNumStatementRetries, getSchema, getService, getTimeZone, getTransactionIsolation, getTypeMap, getWarnings, invokeWithRetries, isClosed, isReadOnly, isValid, isWrapperFor, lookupStatement, nativeSQL, openConnection, prepareAndExecuteInternal, prepareAndUpdateBatch, prepareCall, prepareCall, prepareCall, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, prepareStatement, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setKerberosConnection, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setService, setTransactionIsolation, setTypeMap, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AvaticaJdbc41Factory.AvaticaJdbc41Connection

    AvaticaJdbc41Factory.AvaticaJdbc41Connection(UnregisteredDriver driver,
                                                AvaticaFactory factory,
                                                String url,
                                                Properties info)